#
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Python 2 SOAP client library
Summary(pl.UTF-8):	Biblioteka klienta SOAP dla Pythona 2
Name:		python3-suds
Version:	1.2.0
Release:	1
License:	LGPL v3+
Group:		Development/Languages/Python
#Source0Download: https://github.com/suds-community/suds/releases
Source0:	https://github.com/suds-community/suds/archive/v%{version}/suds-%{version}.tar.gz
# Source0-md5:	202af9679d27986db550d922112db170
URL:		https://github.com/suds-community/suds
BuildRequires:	python3-devel >= 1:3.2
%{?with_tests:BuildRequires:	python3-pytest}
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Suds is a lightweight SOAP Python client for consuming Web Services.

%description -l pl.UTF-8
Suds to lekka implementacja klienta SOAP dla języka Python.

%prep
%setup -q -n suds-%{version}

%build
topdir=$(pwd)
%py3_build

cd build-3
PYTHONPATH=$(pwd)/lib \
%{__python3} -m pytest ../tests

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md TODO.txt
%{py3_sitescriptdir}/suds
%{py3_sitescriptdir}/suds_community-%{version}-py*.egg-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-suds.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dfeae2
- Up to 1.2.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 34d5d18
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ebb7cbb
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> f6d60c5
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 43da21c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 418f4bb
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> e6e8329
- release 2 (by relup.sh)

* Thu Mar 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 2a2aa07
- cleanup

* Thu Mar 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 358049b
- added pytest patch (kill pytest deprecation warnings)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f0ad84
- try harder

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 003fdca
- try with PYTHONIOENCODING

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ee1734
- updated to 0.8.4 from suds-community fork

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 954ff4e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b5fc858
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 898eeb5
- automatic change: use py_build/py_install macros

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> cd1a2c9
- cosmetic

* Mon May 30 2011 zbyniu <zbyniu@pld-linux.org> d02108b
- up to 0.4.1

* Mon Apr 04 2011 Karol Krenski <charles@pld-linux.org> 488e2c7
- up to 0.4

* Fri Sep 10 2010 pawelz <pawelz@pld-linux.org> afcd5d0
- rel 2 (rebuild with python 2.7)

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> 014cceb
- BR: python-devel

